> For the complete documentation index, see [llms.txt](https://docs.unskript.com/unskript-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.unskript.com/unskript-documentation/actions/what-is-an-action.md).

# What is an Action?

Actions are the base unit of code used in unSkript.  Actions take [inputs](/unskript-documentation/actions/actions/action-configuration/action-inputs.md), complete a task, and [output](/unskript-documentation/actions/actions/action-configuration/action-output.md) a result.

unSkript comes with hundreds of [Prebuilt Actions](/unskript-documentation/actions/action-list.md) that are ready for immediate use.

### Types of Actions

* **Connector Actions**: Connector Actions interface with an external tool (for example [AWS](/unskript-documentation/connnecting/connectors/aws/action_aws.md) or [Datadog](/unskript-documentation/connnecting/connectors/datadog/action_datadog.md)), and performs an Action with that tooling.
  * Connector Actions are added by searching in the right navigation.
  * ![search for postgres actions](/files/OJe4mjYr59lgh08lj5BR)
* **Glue Actions:** Glue Actions are Python code used to manipulate and work with the data. Glue Actions are created from the "Add" button at the top of the RunBook. &#x20;
  * Simplify a data output to a different format.
  * Chart results
  * Build interactive selections
  * ![Adding a Glue Action](/files/Wle7LF2EO0Cf2hpNAxME)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.unskript.com/unskript-documentation/actions/what-is-an-action.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
